org.richfaces.taglib

## Class RecursiveTreeNodesAdaptorTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.RecursiveTreeNodesAdaptorTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class RecursiveTreeNodesAdaptorTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecursiveTreeNodesAdaptorTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setIncluded(javax.el.ValueExpression __included)` This boolean expression is used to define which elements of both collections are processed.
    `void` | `setIncludedNode(javax.el.ValueExpression __includedNode)` This boolean expression is used to define which elements are processed.
    `void` | `setIncludedRoot(javax.el.ValueExpression __includedRoot)` This boolean expression is used to define which elements are processed applying to "roots" collection.
    `void` | `setNodes(javax.el.ValueExpression __nodes)` Defines collection to use at the other (non-top) levels of iteration Setter for nodes
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRecursionOrder(javax.el.ValueExpression __recursionOrder)` The attribute is used to control a recursion order.
    `void` | `setRoots(javax.el.ValueExpression __roots)` Defines collection to use at the top of iteration Setter for roots
    `void` | `setVar(javax.el.ValueExpression __var)` A request-scope attribute via which the data object for the current collection element will be used when iterating Setter for var

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### RecursiveTreeNodesAdaptorTag

          public RecursiveTreeNodesAdaptorTag()

  - ### Method Detail

    - #### setIncluded

          public void setIncluded(javax.el.ValueExpression __included)

      This boolean expression is used to define which elements of both collections are processed. Default value is "true". Setter for included
      Parameters:
        `included` - - new value

    - #### setIncludedNode

          public void setIncludedNode(javax.el.ValueExpression __includedNode)

      This boolean expression is used to define which elements are processed. Default value is "true". Setter for includedNode
      Parameters:
        `includedNode` - - new value

    - #### setIncludedRoot

          public void setIncludedRoot(javax.el.ValueExpression __includedRoot)

      This boolean expression is used to define which elements are processed applying to "roots" collection. Default value is "true". Setter for includedRoot
      Parameters:
        `includedRoot` - - new value

    - #### setNodes

          public void setNodes(javax.el.ValueExpression __nodes)

      Defines collection to use at the other (non-top) levels of iteration Setter for nodes
      Parameters:
        `nodes` - - new value

    - #### setRecursionOrder

          public void setRecursionOrder(javax.el.ValueExpression __recursionOrder)

      The attribute is used to control a recursion order. Possible values are "first", "last", "[id of adaptor]" ("first" and "last" are reserved values). When "[id of the adaptor]" is set it means that recursion occurs after these adaptor component nodes are processed. The default value is "last" Setter for recursionOrder
      Parameters:
        `recursionOrder` - - new value

    - #### setRoots

          public void setRoots(javax.el.ValueExpression __roots)

      Defines collection to use at the top of iteration Setter for roots
      Parameters:
        `roots` - - new value

    - #### setVar

          public void setVar(javax.el.ValueExpression __var)

      A request-scope attribute via which the data object for the current collection element will be used when iterating Setter for var
      Parameters:
        `var` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.